Skip to main content
POST
/
surveys
/
{surveyId}
/
submissions
/
{submissionId}
/
download-pdf
Initiate PDF download for survey submission
curl --request POST \
  --url https://services.leadconnectorhq.com/surveys/{surveyId}/submissions/{submissionId}/download-pdf \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "pdfType": "submission",
  "locationId": "ve9EPM428h8vShlRW1KT"
}
'
{
  "message": "PDF generation initiated",
  "pdfExists": true,
  "pdfUrl": "https://storage.googleapis.com/bucket/path/to/file.pdf"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

surveyId
string
required

Survey ID

Example:

"DWQ45t2IPVxi9LDu1wBl"

submissionId
string
required

Submission ID

Example:

"38303ec7-629a-49e2-888a-cf8bf0b1f97e"

Query Parameters

locationId
string
required

Location ID

Example:

"ve9EPM428h8vShlRW1KT"

Body

application/json
pdfType
enum<string>
default:submission

PDF type to download

Available options:
submission,
results
Example:

"submission"

locationId
string

Location ID (can be provided in body or query parameter)

Example:

"ve9EPM428h8vShlRW1KT"

Response

PDF download initiated successfully or PDF URL returned if already exists

message
string
required

Success message

Example:

"PDF generation initiated"

pdfExists
boolean
required

Indicates if PDF URL exists

Example:

true

pdfUrl
string

PDF URL (present if PDF already exists)

Example:

"https://storage.googleapis.com/bucket/path/to/file.pdf"

Last modified on March 4, 2026